<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.pjilisense.flxai.dao.GlobalFilesDao">

    <resultMap type="com.pjilisense.flxai.entity.GlobalFilesEntity" id="globalFilesMap">
        <result property="hashId" column="hash_id"/>
        <result property="fileType" column="file_type"/>
        <result property="size" column="size"/>
        <result property="url" column="url"/>
        <result property="metadata" column="metadata" typeHandler="com.pjilisense.flxai.handle.JsonbTypeHandler"/>
        <result property="createdAt" column="created_at" jdbcType="TIMESTAMP_WITH_TIMEZONE" javaType="java.time.OffsetDateTime"/>
        <result property="accessedAt" column="accessed_at" jdbcType="TIMESTAMP_WITH_TIMEZONE" javaType="java.time.OffsetDateTime"/>
    </resultMap>


</mapper>